package jp.arcanum.myaddress.pages.update;

import java.util.List;
import java.util.Map;

import org.apache.wicket.PageParameters;
import org.apache.wicket.markup.html.form.Button;
import org.apache.wicket.markup.html.form.TextArea;
import org.apache.wicket.markup.html.form.TextField;
import org.apache.wicket.model.Model;

import jp.arcanum.myaddress.pages.AbstractPage;
import jp.arcanum.myaddress.pages.list.ListPage;
import jp.arcanum.myaddress.util.MyUtil;

public class AbstractDetailPage extends AbstractPage{


	/**
	 * キャンセルボタン。
	 */
	private Button _cancel = new Button("CANCEL"){
		public void onSubmit(){
			setResponsePage(ListPage.class);
		}
	};
	
	
	/**
	 * 更新対象レコード（追加モードの場合はnull）
	 */
	private Map _target = null;
	protected Map getTarget(){
		return _target;
	}
	protected void setTarget(Map target){
		_target = target;
	}
	
	
	/**
	 * コンストラクタ
	 *
	 */
	public AbstractDetailPage(){
		
		//　キャンセルボタン
		_form.add(_cancel);
		
	}
	
	/**
	 * 対象を検索
	 * @param addrid アドレスＩＤ
	 * @return 対象レコード
	 */
	protected Map selectTarget(int addrid){
		
		Map ret = null;
		
		String sql = "SELECT * FROM MYADDRESS WHERE ADDRID='" + addrid + "'";
		
		List list = MyUtil.select(sql);
		if(list.isEmpty()){
			return ret;
		}
		ret = (Map)list.get(0);
		
		return ret;
		
	}
	
}
